# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWin32/Win32Window.hpp File Reference

`#include <vlGraphics/OpenGLContext.hpp>`
`#include <vlWin32/Win32Context.hpp>`
`#include <map>`

Go to the source code of this file.

## Classes

class | vlWin32::Win32Window
| The Win32Window class is a Win32Context that can be used as a top or child window. More...

## Namespaces

namespace | vlWin32

| The Win32 bindings namespace.

## Functions

VLWIN32_EXPORT int | vlWin32::messageLoop ()
VLWIN32_EXPORT void | vlWin32::peekMessage (MSG &msg)
VLWIN32_EXPORT void | vlWin32::dispatchUpdate ()
VLWIN32_EXPORT void | vlWin32::translateKeyEvent (WPARAM wParam, LPARAM lParam, unsigned short &unicode_out, vl::EKey &key_out)

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:28.
Permission is granted to use this page to write and publish articles regarding Visualization Library.